Accounts APIAccounts
List of transaction beneficiaries
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
accountId*string
Unique identifier of the account
Format
uuidQuery Parameters
limit?integer
Number of items to return per page (max 100).
Default
25Range
1 <= value <= 100page?integer
Page index for pagination.
Default
1Range
1 <= valueiban?string
Filter by IBAN.
sortCode?string
Filter by SortCode number.
accountNumber?string
Filter by Account number.
order[createdAt]?string
Sort order by createdAt field.
Default
"desc"Value in
"asc" | "desc"Header Parameters
X-Volt-Api-Version*integer
Version of the API used. Currently, version 1 is the only version.
Value in
1Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://accounts.sandbox.volt.io/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/beneficiaries" \ -H "X-Volt-Api-Version: 1"[
{
"name": "John Doe",
"accountIdentifiers": {
"iban": "DE07500105176551562526",
"swiftBic": "123456"
}
}
]{
"code": "BAD_REQUEST",
"message": "string"
}{
"code": "UNAUTHORISED",
"message": "string"
}{
"code": "ACCESS_DENIED",
"message": "string"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "string"
}{
"code": "METHOD_NOT_SUPPORTED",
"message": "string"
}{
"code": "MEDIA_TYPE_NOT_ACCEPTABLE",
"message": "string"
}{
"code": "UNSUPPORTED_MEDIA_TYPE",
"message": "string"
}{
"code": "VALIDATION_FAILURE",
"message": "string",
"errors": [
{
"type": "TOO_FEW",
"propertyPath": "string",
"message": "string"
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "string"
}